Package: org.gradle.model

## [Java] Class InvalidModelRuleDeclarationException

- org.gradle.model.InvalidModelRuleDeclarationException

- Thrown when a model rule, or source of model rules, is declared in an invalid way.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidModelRuleDeclarationException (String message)`
    `InvalidModelRuleDeclarationException (String message, Throwable cause)`
    `InvalidModelRuleDeclarationException (org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)`
    `InvalidModelRuleDeclarationException (org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message)`
    `InvalidModelRuleDeclarationException (org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidModelRuleDeclarationException(String message)

    - #### public InvalidModelRuleDeclarationException(String message, Throwable cause)

    - #### public InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)

    - #### public InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message)

    - #### public InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message, Throwable cause)